Start TeleID
The POST /v3/teleid endpoint is used to start a TeleID.
POST /v3/teleid
Authorization: Basic ${ base64(apiKey + ':' + secretKey) }
| Parameter | Required | Description |
|---|---|---|
| provider | Yes | The eID provider to use. Can be one of: 'BANKID_SE', 'FREJA', 'BANKID_NO', 'VIPPS', 'MITID' or 'FTN' |
| method | Yes | The method to use for authentication. Can be one of: 'SSN', 'SMS', 'EMAIL', 'CHAT' |
| ssn | No | The SSN of the end user for autostart. Required if method is SSN |
| country | No | The country associated with the SSN or phone number. Required if method is SSN or SMS. Can be one of: 'SWEDEN', 'NORWAY', 'DENMARK' or 'FINLAND' |
| callInitiator | No | The initiator of the authentication request. Used if method is SSN and provider is BANKID_SE. Can be one of: 'USER' or 'RP'. Defaults to 'USER' |
| orgNumber | No | An organisation number to check the end user's company signatory rights for. Used if method is SSN |
| No | An email address for login link via email. Required if method is EMAIL | |
| phone | No | A phone number for autostart or login link via SMS. Required if method is SMS |
| language | No | The default language to use during authentication |
| agent | No | The agent to indentify as. May be omitted, in which case the agent name is 'API' |
| agent.ssn | No | The SSN of the agent, if the agent is a eID user. |
| agent.country | No | The country associated with the given SSN. Required if agent.ssn is set. |
| agent.username | No | The username of the agent, if the agent is a username/password user. |
| agent.nameId | No | The nameId of the agent, if the agent is a SSO user. |
Response example:
Pending:
HTTP/2.0 201 Created
{
"id": "1668b9da-bff1-4dfc-ad48-60507b5a8d12",
"startedAt": "2022-01-26 13:05:40",
"autoDeleteDate": "2022-07-25",
"agent": {
"name": "Firstname Lastname"
},
"status": "PENDING",
"url": "https://example.com/authenticate",
"bindingMessage": "Reference text"
}
Completed:
HTTP/2.0 201 Created
{
"id": "1668b9da-bff1-4dfc-ad48-60507b5a8d12",
"startedAt": "2022-01-26 13:05:40",
"autoDeleteDate": "2022-07-25",
"agent": {
"name": "Firstname Lastname"
},
"status": "COMPLETED",
"completedAt": "2022-01-26 13:05:40",
"user": {
"ssn": "YYYYMMDDXXXX",
"country": "SWEDEN",
"name": "Firstname Lastname"
},
"identification": {
"provider": "BANKID_SE",
"certStartDate": "2022-01-04",
"orderRef": "f4c1d82e-e396-4c8b-bc52-5151bc019da5"
}
}
Failed:
HTTP/2.0 201 Created
{
"id": "1668b9da-bff1-4dfc-ad48-60507b5a8d12",
"startedAt": "2022-01-26 13:05:40",
"autoDeleteDate": "2022-07-25",
"agent": {
"name": "Firstname Lastname"
},
"status": "FAILED",
"error": "CANCELLED"
}
| Parameter | Description |
|---|---|
| error | An error code describing the reason for why the authentication failed. Always set when status is FAILED. |
The error may be one of the following values:
| Code | Description |
|---|---|
| AUTH_FAILED | A generic code for any kind of failure. |
| CANCELLED | The authentication was cancelled either by the user or the partner. |
| CONFLICT | Another authentication for the same user is already in progress. |
| INVALID_ID | The ID has expired or is otherwise invalid. |
| INTERNAL_ERROR | An internal error occurred causing the authentication to fail. |
| SESSION_TIMEOUT | The authentication expired or timed out. |
| UNSUPPORTED_CLIENT | The client used for the authentication is not supported. |
New error codes may be added in the future without prior notice. The partner should therefore handle unknown error codes in their implementations.